%define name	xwpick
%define	version	2.20
%define	release	12mdk

Name:		%{name}
Summary:	A X Window System screenshot grabber

Version:	%{version}
Release:	%{release}
License:	MIT
Icon:		%{name}.xpm
Group:		Graphics
BuildRequires:	XFree86-devel X11
Source0:	ftp://ftp.x.org/contrib/applications/%{name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xwpick program allows you to choose an image or a rectangular piece
of an image from an X Window System window and then write the image to
a file in a variety of formats, incuding PostScript(TM), GIF, and PICT.

%prep
%setup -q

%build
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile 
%make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std} install.man

# icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(xwpick):\
	command="%{_prefix}/X11R6/bin/xwpick"\
	needs="text"\
	icon="xwpick.png"\
	section="Multimedia/Graphics"\
	title="Xwpick"\
	longtitle="X Window System screenshot grabber"
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_prefix}/X11R6/bin/xwpick
%{_prefix}/X11R6/man/man1/xwpick.1*
%{_prefix}/X11R6/lib/X11/doc/html/xwpick.1.html
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.20-12mdk
- fix buildrequires
- cleanups!

* Sun May 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.20-11mdk
- rebuild for rpm 4.2
- png icons

* Mon Aug 20 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.20-10mdk
- fixed typo in menu

* Sat Aug 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 2.20-9mdk
- rebuilt for cooker

* Tue Aug 29 2000 David BAUDENS <baudens@mandrakesoft.com> 2.20-8mdk
- Fix crazy menu entry
- Fix crazy Group
- Fix crazy macros

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.20-7mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.20-6mdk
- use new macros
- don't strip : let spechelper do it

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.20-5mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Fri Apr 7 2000 Denis Havlik <denis@mandrakesoft.com> 2.20-4mdk
- group: toys
- menu entry + icons (need beter icons)

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com> 2.20-3mdk
- Mandrake release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 20 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
